/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseOrderLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface PurchaseOrderLocal extends EJBLocalObject
{
    public String getNumber()
        throws EJBException;

    public CustomerReferenceLocal getCustomerReference()
        throws EJBException;

    public Collection getPurchaseOrderItems()
        throws EJBException;
}
